namespace Platform.Common.BasicFunctions {
    export class __LINQ__ {
        /**
         * Applies the action to each element in the list.
         * @param enumerable The elements to enumerate.
         * @param action The action to apply to each item in the list.
         */
        static Apply<T>(enumerable: T[], action: (item: T) => void): void {
            enumerable.forEach(item => {
                action(item);
            });
        }
    }
}